<html>
<head>
<title>Ogre::HardwareBufferLicensee Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::HardwareBufferLicensee Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::HardwareBufferLicensee" -->
<p>Abstract interface representing a 'licensee' of a hardware buffer copy.  
 <a href="classOgre_1_1HardwareBufferLicensee.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::HardwareBufferLicensee:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1HardwareBufferLicensee__inherit__graph.gif" border="0" usemap="#Ogre_1_1HardwareBufferLicensee_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1HardwareBufferLicensee_inherit__map" id="Ogre_1_1HardwareBufferLicensee_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers." alt="" coords="8,83,203,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1HardwareBufferLicensee-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html#a5d0010fd36b460b1c0c2a4ba4337aea5">~HardwareBufferLicensee</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html#aa5a241d6a5d4f8596affadda26555cff">licenseExpired</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *buffer)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This method is called when the buffer license is expired and is about to be returned to the shared pool.  <a href="#aa5a241d6a5d4f8596affadda26555cff"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract interface representing a 'licensee' of a hardware buffer copy. </p>
<p>remarks Often it's useful to have temporary buffers which are used for working but are not necessarily needed permanently. However, creating and destroying buffers is expensive, so we need a way to share these working areas, especially those based on existing fixed buffers. This class represents a licensee of one of those temporary buffers, and must be implemented by any user of a temporary buffer if they wish to be notified when the license is expired. </p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00057">57</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5d0010fd36b460b1c0c2a4ba4337aea5"></a><!-- doxytag: member="Ogre::HardwareBufferLicensee::~HardwareBufferLicensee" ref="a5d0010fd36b460b1c0c2a4ba4337aea5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1HardwareBufferLicensee.html#a5d0010fd36b460b1c0c2a4ba4337aea5">Ogre::HardwareBufferLicensee::~HardwareBufferLicensee</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00060">60</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa5a241d6a5d4f8596affadda26555cff"></a><!-- doxytag: member="Ogre::HardwareBufferLicensee::licenseExpired" ref="aa5a241d6a5d4f8596affadda26555cff" args="(HardwareBuffer *buffer)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBufferLicensee.html#aa5a241d6a5d4f8596affadda26555cff">Ogre::HardwareBufferLicensee::licenseExpired</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This method is called when the buffer license is expired and is about to be returned to the shared pool. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a20082709a68b75596620418aa69a172a">Ogre::TempBlendedBufferInfo</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
